Variable A B : Prop.
Variable P Q : nat -> Prop.

Theorem q1 : A -> B -> A.
intro hypA.
intro hypB.
assumption.
Qed.

Theorem q2 : (~A \/ B) -> (A -> B).
intro or.
intro a.
destruct or.
destruct H.
(* ou : exfalso. apply H. *)
assumption.
assumption.
Qed.

Theorem q3 : (forall x, P x) -> (exists x, P x).
intro hyp.
exists 42.
apply hyp.
Qed.

Theorem q4 : (exists x, P x \/ Q x) <-> 
  ((exists x, P x) \/ (exists x, Q x)).
split.
intro hyp.
destruct hyp.
destruct H.
left.
exists x.
assumption.
right.
exists x.
assumption.
intro hyp.
destruct hyp.
destruct H.
exists x.
left.
assumption.
destruct H.
exists x.
right.
assumption.
Qed.








