Require Import ZArith.

Require Import Psatz.

Open Scope Z_scope.

Theorem q1 : forall x y, (x + 1) * (x + y) =
                         x * x + (1 + y) * x + y.
intros.
(* ou alors : ring. *)
nia.
Qed.


Theorem q2 : forall a b n, 
  (a > b /\ (exists q, n = b * q + a))
  -> (exists q', n = b * q' + (a - b)).
intros.
destruct H.
destruct H0.
exists (x + 1).
nia.
Qed.